import type { AutoCompletePropType, InputNumberProps, InputNumberWatches, NumberString, ReadOnlyPropType, RequiredPropType, SuggestionsPropType } from '../../schema';
import { type PlaceholderPropType } from '../../schema/props/placeholder';
import { InputIconController } from '../@deprecated/input/controller-icon';
import type { Generic } from 'adopted-style-sheets';
export declare class InputNumberController extends InputIconController implements InputNumberWatches {
    protected readonly component: Generic.Element.Component & InputNumberProps;
    constructor(component: Generic.Element.Component & InputNumberProps, name: string, host?: HTMLElement);
    validateAutoComplete(value?: AutoCompletePropType): void;
    validateSuggestions(value?: SuggestionsPropType): void;
    validateMax(value?: number | NumberString): void;
    validateMin(value?: number | NumberString): void;
    validatePlaceholder(value?: PlaceholderPropType): void;
    validateReadOnly(value?: ReadOnlyPropType): void;
    validateRequired(value?: RequiredPropType): void;
    validateStep(value?: number | NumberString): void;
    validateValue(value?: number | NumberString | null): void;
    componentWillLoad(): void;
}
